<?php

namespace Modules\Admin\ImportEntities;

class View_Index extends \App\Mvc\View_Window_FormAbstract
{
	/**
	 * the template has a option
	 * @var String
	 */
	protected $renderingTemplate=null;


	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\ViewAbstract::render()
	 */
	public function render()
	{

		// draw the form
		$form = $this->render_getForm($this->input['formData']);
		$this->setOutputVar('form', $form);

		$this->setOutputVar('step', $this->input['formData']['step']);

		// attaches the messages to message stack or to the form
		if ($form) {
			$this->assignMessages($form, \MessageStack::GetObject());
		} else {
			$this->assignMessages(null, \MessageStack::GetObject());
		}

		\Theme::getInstance()->stdModuleSmartyAssign($this);

		return $this->render_smarty($this->renderingTemplate);

	}
}

